# Copyright (c) 2015, Xhive Global Ltd. and Contributors
# License: MIT. See LICENSE
from xhiveframework.tests.utils import XhiveFrameworkTestCase
from xhiveframework.utils.logger import sanitized_dict

# test_records = xhiveframework.get_test_records('Error Snapshot')


class TestErrorSnapshot(XhiveFrameworkTestCase):
	def test_form_dict_sanitization(self):
		self.assertNotEqual(sanitized_dict({"pwd": "SECRET", "usr": "WHAT"}).get("pwd"), "SECRET")
